You are viewing a plain text version of this content. The canonical link for it is here.
Posted to notifications@freemarker.apache.org by sg...@apache.org on 2021/02/09 18:07:16 UTC

[freemarker-generator] 01/01: FREEMARKER-176 [freemarker-generator] Running examples on Windows fails

This is an automated email from the ASF dual-hosted git repository.

sgoeschl pushed a commit to branch FREEMARKER-176
in repository https://gitbox.apache.org/repos/asf/freemarker-generator.git

commit 8bc867eee656fdcf3f58eba73c64d3a37dfe476f
Author: Siegfried Goeschl <si...@gmail.com>
AuthorDate: Tue Feb 9 19:07:00 2021 +0100

    FREEMARKER-176 [freemarker-generator] Running examples on Windows fails
---
 freemarker-generator-cli/CHANGELOG.md                     | 2 ++
 freemarker-generator-cli/src/app/scripts/run-examples.bat | 4 ++--
 freemarker-generator-cli/src/app/scripts/run-examples.sh  | 4 ++--
 3 files changed, 6 insertions(+), 4 deletions(-)

diff --git a/freemarker-generator-cli/CHANGELOG.md b/freemarker-generator-cli/CHANGELOG.md
index 0e2c798..3cbf959 100644
--- a/freemarker-generator-cli/CHANGELOG.md
+++ b/freemarker-generator-cli/CHANGELOG.md
@@ -37,6 +37,7 @@ All notable changes to this project will be documented in this file. We try to a
 * [FREEMARKER-129] Use version "0.X.Y" to cater for API changes according to [Semantic Versioning](https://semver.org)
 
 ### Fixed
+* [FREEMARKER-176] Running examples on Windows fails
 * [FREEMARKER-156] The Maven plugin unit tests failed randomly
 * [FREEMARKER-153] Configuration files are bootstrapped from "app.home" system property 
 * [FREEMARKER-151] Ensure that build and and examples are running on Windows
@@ -76,3 +77,4 @@ All notable changes to this project will be documented in this file. We try to a
 [FREEMARKER-173]: https://issues.apache.org/jira/browse/FREEMARKER-173
 [FREEMARKER-174]: https://issues.apache.org/jira/browse/FREEMARKER-174
 [FREEMARKER-175]: https://issues.apache.org/jira/browse/FREEMARKER-175
+[FREEMARKER-176]: https://issues.apache.org/jira/browse/FREEMARKER-176
diff --git a/freemarker-generator-cli/src/app/scripts/run-examples.bat b/freemarker-generator-cli/src/app/scripts/run-examples.bat
index a957502..4e950c3 100644
--- a/freemarker-generator-cli/src/app/scripts/run-examples.bat
+++ b/freemarker-generator-cli/src/app/scripts/run-examples.bat
@@ -42,10 +42,10 @@ echo "examples\templates\demo.ftl"
 #############################################################################
 
 echo "examples\templates\datasources.ftl"
-$FREEMARKER_CMD -t examples\templates\datasources.ftl -s :data=examples/data > target\out\datasources.txt
+%FREEMARKER_CMD% -t examples\templates\datasources.ftl -s :data=examples/data > target\out\datasources-01.txt
 
 echo "examples\templates\datasources.ftl"
-$FREEMARKER_CMD -t examples\templates\datasources.ftl -s https://xkcd.com/info.0.json https://www.google.com > target\out\datasources.txt
+%FREEMARKER_CMD% -t examples\templates\datasources.ftl -s https://xkcd.com/info.0.json https://www.google.com > target\out\datasources-02.txt
 
 REM =========================================================================
 REM Interactive Mode
diff --git a/freemarker-generator-cli/src/app/scripts/run-examples.sh b/freemarker-generator-cli/src/app/scripts/run-examples.sh
index a8c64f6..a0d316c 100755
--- a/freemarker-generator-cli/src/app/scripts/run-examples.sh
+++ b/freemarker-generator-cli/src/app/scripts/run-examples.sh
@@ -47,10 +47,10 @@ $FREEMARKER_CMD -t examples/templates/demo.ftl README.md > target/out/demo.txt |
 #############################################################################
 
 echo "examples/templates/datasources.ftl"
-$FREEMARKER_CMD -t examples/templates/datasources.ftl -s :data=examples/data > target/out/file-datasources.txt || { echo >&2 "Test failed.  Aborting."; exit 1; }
+$FREEMARKER_CMD -t examples/templates/datasources.ftl -s :data=examples/data > target/out/datasources-01.txt || { echo >&2 "Test failed.  Aborting."; exit 1; }
 
 echo "examples/templates/datasources.ftl"
-$FREEMARKER_CMD -t examples/templates/datasources.ftl -s https://xkcd.com/info.0.json https://www.google.com > target/out/url-datasources.txt || { echo >&2 "Test failed.  Aborting."; exit 1; }
+$FREEMARKER_CMD -t examples/templates/datasources.ftl -s https://xkcd.com/info.0.json https://www.google.com > target/out/datasources-02.txt || { echo >&2 "Test failed.  Aborting."; exit 1; }
 
 #############################################################################
 # Interactive Mode